Bug 568206 - Dell Studio XPS 1640 Laptop overheats due to fan inactivity
Dell Studio XPS 1640 Laptop overheats due to fan inactivity
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-02-24 19:52 EST by Brian J. Atkisson
Modified: 2010-12-03 17:23 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 17:23:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Brian J. Atkisson 2010-02-24 19:52:24 EST
Description of problem:
I have a Dell Studio XPS 1640 laptop.  After about 30-45 minutes of use in Fedora 12, the laptop gets extremely hot and automatically shuts down.  It appears that the fans do not turn on under Fedora, however, they work just fine under Windows 7 (what the laptop shipped with).  There is nothing in /proc/acpi/fan.  I tried installing lm_sensors and running pwmconfig, however, it reports 'There are no pwm-capable sensor modules installed'.  

Version-Release number of selected component (if applicable):
Fedora 12 2.6.31.12-174.2.22.fc12.x86_64

How reproducible: Always


Steps to Reproduce:
1. Boot into F12 and wait for the laptop to become hot, the fans never turn on under F12.
  
Actual results: no fan activity


Expected results: the fan(s) to kick on and cool the laptop down.

Additional info:
Here are the files under /proc/acpi
./video
./video/M86
./video/M86/DP0
./video/M86/DP0/EDID
./video/M86/DP0/brightness
./video/M86/DP0/state
./video/M86/DP0/info
./video/M86/HDTV
./video/M86/HDTV/EDID
./video/M86/HDTV/brightness
./video/M86/HDTV/state
./video/M86/HDTV/info
./video/M86/LCD
./video/M86/LCD/EDID
./video/M86/LCD/brightness
./video/M86/LCD/state
./video/M86/LCD/info
./video/M86/CRT
./video/M86/CRT/EDID
./video/M86/CRT/brightness
./video/M86/CRT/state
./video/M86/CRT/info
./video/M86/DOS
./video/M86/POST
./video/M86/POST_info
./video/M86/ROM
./video/M86/info
./battery
./battery/BAT0
./battery/BAT0/alarm
./battery/BAT0/state
./battery/BAT0/info
./thermal_zone
./thermal_zone/TZ02
./thermal_zone/TZ02/polling_frequency
./thermal_zone/TZ02/cooling_mode
./thermal_zone/TZ02/trip_points
./thermal_zone/TZ02/temperature
./thermal_zone/TZ02/state
./thermal_zone/TZ01
./thermal_zone/TZ01/polling_frequency
./thermal_zone/TZ01/cooling_mode
./thermal_zone/TZ01/trip_points
./thermal_zone/TZ01/temperature
./thermal_zone/TZ01/state
./thermal_zone/TZ00
./thermal_zone/TZ00/polling_frequency
./thermal_zone/TZ00/cooling_mode
./thermal_zone/TZ00/trip_points
./thermal_zone/TZ00/temperature
./thermal_zone/TZ00/state
./processor
./processor/CPU1
./processor/CPU1/power
./processor/CPU1/limit
./processor/CPU1/throttling
./processor/CPU1/info
./processor/CPU0
./processor/CPU0/power
./processor/CPU0/limit
./processor/CPU0/throttling
./processor/CPU0/info
./fan
./button
./button/lid
./button/lid/LID0
./button/lid/LID0/state
./button/lid/LID0/info
./button/sleep
./button/sleep/SLPB
./button/sleep/SLPB/info
./button/power
./button/power/PWRB
./button/power/PWRB/info
./button/power/PWRF
./button/power/PWRF/info
./ac_adapter
./ac_adapter/ADP1
./ac_adapter/ADP1/state
./event
./wakeup
./sleep
./fadt
./dsdt
./info
./power_resource
./embedded_controller
./embedded_controller/EC0
./embedded_controller/EC0/info
Comment 1 Derrick 2010-03-26 09:00:48 EDT
While I do not have this same model laptop, I have a Dell Studio 1555, running Fedora 12 x64. I am a recent Ubuntu convert, and have really enjoyed Fedora 12. I can confirm this bug...My laptop runs for about 10-15 mins max after first boot, with the cooling fans never coming on. I installed gkrellm, and I watch my temp sensors. The laptop continues to heat and suddenly powers off. The fans never run. However, once I have to hard power on the machine..the bios recognizes the temp of the laptop and starts the cooling fans prior to boot of fedora 12. As I write this, my fans came on at boot, and have not turned off, running at super high speed..When I turned my machine back on, the Bios informed me that the machine had been cut off due to a critical thermal issue reaching 170 degrees F. When Fedora booted and gkrellm came up, the temp showed 180 degrees F. quickly cooling down due to the high speed of the cooling fan. My laptop has been on 10 mins now, and current temp is 156.2 degrees F. Can someone advise if this issue is being fixed? I never had this issue prior to running Fedora 12. Some additional information about this laptop...This laptop is dual boot Windows 7 x64, and Fedora 12. When running Windows 7 x64, the cooling fans operate normal, and the laptop never overheats, even after running all day long. When running fedora 12 x64, the laptop will overheat in less than 15 mins because the cooling fans never turn on. Here are additional laptop specs.

Intel Core 2 Duo T6600 2.20Ghz
4GB Ram
ATI Radeon Mobile M92 (Mobile Radeon 4500 Series)
500 GB 7200 RPM Hard Drive
Intel WIFI Link 5100
Comment 2 Bug Zapper 2010-11-03 17:22:59 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2010-12-03 17:23:06 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.